Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.exception
Class DuplicateDefinitionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.exception.NetuixException
                  com.bea.netuix.application.exception.DuplicateDefinitionException

All Implemented Interfaces
  Serializable

    public class DuplicateDefinitionException

extends NetuixException

This exception is thrown when disassembling a portal from a .portal template, and a book or page in the .portal file has the same definition label as a book or page in the database. The request should be resubmitted with a `disassembler action` to keep what is in the database or replace it with what is in the .portal file. It is typically recommended that when in `development mode` the developer may want to accept what is in the .portal file. However, when in `production mode` the admin should probably accept what is in the database, as all customizations would be lost otherwise.

See Also
  `CustomizationContext`, Serialized Form

Constructor Summary
`DuplicateDefinitionException()` Constructs a `DuplicateDefinitionException` with no specified detail message.
`DuplicateDefinitionException(String s)` Constructs a `DuplicateDefinitionException` with the specified detail message.
`DuplicateDefinitionException(String s, Throwable cause)` Constructs a `DuplicateDefinitionException` with the specified detail message and causal exception.
`DuplicateDefinitionException(Throwable cause)` Constructs a `DuplicateDefinitionException` with the specified causal exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DuplicateDefinitionException

    public DuplicateDefinitionException()

  Constructs a `DuplicateDefinitionException` with no specified detail message.

### DuplicateDefinitionException

    public DuplicateDefinitionException(String s)

  Constructs a `DuplicateDefinitionException` with the specified detail message.

  Parameters
    `s` - The detail message

### DuplicateDefinitionException

    public DuplicateDefinitionException(String s,
                                        Throwable cause)

  Constructs a `DuplicateDefinitionException` with the specified detail message and causal exception.

  Parameters
    `s` - The detail message
    `cause` - The exception that caused this exception to be thrown

### DuplicateDefinitionException

    public DuplicateDefinitionException(Throwable cause)

  Constructs a `DuplicateDefinitionException` with the specified causal exception.

  Parameters
    `cause` - The exception that caused this exception to be thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved